POST
/pages/trashList deleted pages
Lists deleted pages in a space, including information about who deleted them. Supply spaceId to select the space, and use the optional query and cursor fields to filter and paginate the results.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Space selection and optional filters and cursor pagination settings for deleted pages.
spaceIdstringrequired
ID of the space whose deleted (trashed) pages to list.
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated list of deleted pages with information about who deleted them.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the request is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to list deleted pages in the specified space. spaceId is required; limit must be between 1 and 100 and defaults to 20 when omitted. Provide cursor and beforeCursor in base64 format; beforeCursor is ignored when cursor is also supplied.